designate-manage tld's is broken

Bug #1478153 reported by Rudrajit Tapadar on 2015-07-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Designate
High
Rudrajit Tapadar
Kilo
Medium
Kiall Mac Innes

Bug Description

I tried to import some TLDs with the below command in Kilo and it threw the error as shown.

designate-manage tlds import --input_file <input-file>

2015-07-24 22:27:48.173 2282 INFO designate.manage.tlds [designate-manage - - - - -] Importing TLDs from tld
2015-07-24 22:27:48.174 2282 CRITICAL designate [designate-manage - - - - -] TypeError: create_tld() got an unexpected keyword argument 'values'
2015-07-24 22:27:48.174 2282 TRACE designate Traceback (most recent call last):
2015-07-24 22:27:48.174 2282 TRACE designate File "/usr/local/bin/designate-manage", line 10, in <module>
2015-07-24 22:27:48.174 2282 TRACE designate sys.exit(main())
2015-07-24 22:27:48.174 2282 TRACE designate File "/root/openstack/designate/designate/cmd/manage.py", line 126, in main
2015-07-24 22:27:48.174 2282 TRACE designate fn(*fn_args)
2015-07-24 22:27:48.174 2282 TRACE designate File "/root/openstack/designate/designate/manage/tlds.py", line 132, in from_file
2015-07-24 22:27:48.174 2282 TRACE designate error_lines)
2015-07-24 22:27:48.174 2282 TRACE designate File "/root/openstack/designate/designate/manage/tlds.py", line 95, in _validate_and_create_tld
2015-07-24 22:27:48.174 2282 TRACE designate self.central_api.create_tld(self.context, values=line)
2015-07-24 22:27:48.174 2282 TRACE designate TypeError: create_tld() got an unexpected keyword argument 'values'
2015-07-24 22:27:48.174 2282 TRACE designate

Changed in designate:
assignee: nobody → Rudrajit Tapadar (rtapadar)

Fix proposed to branch: master
Review: https://review.openstack.org/205719

Changed in designate:
status: New → In Progress
Rudrajit Tapadar (rtapadar) wrote :

The code looks same in master, stable/kilo and stable/juno. Please let me know if need back-porting. I can patch the other branches as well.

Reviewed: https://review.openstack.org/205719
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=d2d340cba50a953040876b213fe60fd0926ff502
Submitter: Jenkins
Branch: master

commit d2d340cba50a953040876b213fe60fd0926ff502
Author: Rudrajit Tapadar <email address hidden>
Date: Fri Jul 24 22:46:23 2015 +0000

    Fixes designate-manage tld's command by passing the correct params

    Change-Id: Ib60504d100aef6bdb140cc2da3289ad30e2f4cd7
    Closes-Bug: #1478153

Changed in designate:
status: In Progress → Fix Committed
Kiall Mac Innes (kiall) on 2015-07-28
Changed in designate:
milestone: none → liberty-2
Kiall Mac Innes (kiall) on 2015-07-28
Changed in designate:
importance: Undecided → High
Thierry Carrez (ttx) on 2015-07-29
Changed in designate:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/207420
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=d735b98109ee3c1c7cad35938c0c70de657bfa5c
Submitter: Jenkins
Branch: stable/kilo

commit d735b98109ee3c1c7cad35938c0c70de657bfa5c
Author: Rudrajit Tapadar <email address hidden>
Date: Fri Jul 24 22:46:23 2015 +0000

    Fixes designate-manage tld's command by passing the correct params

    Change-Id: Ib60504d100aef6bdb140cc2da3289ad30e2f4cd7
    Closes-Bug: #1478153

Thierry Carrez (ttx) on 2015-10-15
Changed in designate:
milestone: liberty-2 → 1.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers